package jm28;

import java.util.*;

import org.hibernate.*;
import org.hibernate.cfg.*;

public class ListaCategoria {
    
    public static void main(String[] args) {

        SessionFactory sessionFactory =
            new Configuration().configure().buildSessionFactory();
            
        Session session = sessionFactory.openSession();
            
        Transaction tx = session.beginTransaction();
        
        Categoria categoria = (Categoria)session.get(Categoria.class, 0L);
        System.out.println("Clientes na categoria " + categoria.getNome() + ":");

        Iterator<Cliente> it = categoria.getClientes().iterator();    
        while (it.hasNext()) {
            Cliente cliente = it.next();
            System.out.println("[" + cliente.getId() + "] "
                + cliente.getNome()
                + " <" + cliente.getEmail() + ">");
        }
        
        tx.commit();
        
        session.close();
    }
    
}
